Download it now!
Bug 97357 - EDITING cannot insert image to unprotected cells in a protected sheet
Summary: EDITING cannot insert image to unprotected cells in a protected sheet
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2016-01-25 10:55 UTC by bfrixos
Modified: 2017-04-12 09:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
greek goverment's form to report a trademark (39.50 KB, application/wps-office.xls)
2016-01-25 10:55 UTC, bfrixos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bfrixos 2016-01-25 10:55:04 UTC
Created attachment 122198 [details]
greek goverment's form to report a trademark

using a file of the attachment it reports that the sheet is locked, 
but there are a lot of unprotected cells to be edited.
I am trying to import and edit a picture in the cell F38, 
but I am not allowed to.


under original MS's Office Suite, or Google Doc's, or WPS Office(ex Kingston Office), tests showed that the file is handled without any problem.
Comment 1 Buovjaga 2016-01-25 10:59:21 UTC
Modified summary a bit. We can enter text in F38, but Insert - Image is greyed out.

Workaround is to select all and paste to a new document.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 6b65a0e83c4798f117be61af91dbaebdc85e94b7
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-21_03:41:08
Locale: fi-FI (fi_FI)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 Katarina Behrens (Inactive) 2016-03-27 20:38:19 UTC
Not specific to xls file format, can repro even with a new document
Comment 3 Commit Notification 2017-04-06 22:00:32 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=26030f92629b310e66b2335c2cec0413bb7ec828

tdf#97357 allow insert image if sheet is protected but few cells are not

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.